
' Controllers
' initial support for:
' digital joystick only
' single joystick only
' direct switch-pin connection on

#include "pins.inc"
Controllers.init 1

do
  print @(10,10) "Status: ";
  if Controllers.Left() then
    print "LEFT ";
  else
    print "____ ";
  endif
  if Controllers.Right() then
    print "RIGHT ";
  else
    print "_____ ";
  endif
  if Controllers.Up() then
    print "UP ";
  else
    print "__ ";
  endif
  if Controllers.Down() then
    print "DOWN ";
  else
    print "____ ";
  endif
  if Controllers.ButtonA() then
    print "BUTTON ";
  else
    print "______ ";
  endif
  if Controllers.ButtonB() then
    print "AUX ";
  else
    print "___ ";
  endif
loop
